# Function mergeSubscriptions

- mergeSubscriptions(
  subs: Subscription [],
  ): {
  close: () => void;
  controller: AbortController;
  emitter: Emitter ;
  id: string;
  request: SubscribeRequest ;
  tracker: Tracker ;
  }

- #### Parameters

  - subs: Subscription []

  #### Returns {
  close: () => void;
  controller: AbortController;
  emitter: Emitter ;
  id: string;
  request: SubscribeRequest ;
  tracker: Tracker ;
  }

  - Defined in packages/net/src/Subscribe.ts:79